#ifndef IMAGEOPERATIONWATERMARK_H
#define IMAGEOPERATIONWATERMARK_H

#include "imageoperationbase.h"

class imageOperationWaterMark : public ImageOperationBase
{
public:
    imageOperationWaterMark(QImage *origin, QStack<QImage> *stackImage);
    virtual void ImageOP();
    void setText(QString);
private:
    QString m_text;
    void waterMark(QImage *opImage);
};

#endif // IMAGEOPERATIONWATERMARK_H
